Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming.NamingContextPackage
Class NotFound

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--org.omg.CosNaming.NamingContextPackage.NotFound

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

public final class NotFound
extends UserException

This exception is raises when an object or a naming context is not found. It provides additionnal information which are the reason of this exception and the part of the name that the name server was not able to use.

See Also:
  Serialized Form

Field Summary
`NameComponent[]` | `rest_of_name` Exception member rest_of_name
`NotFoundReason` | `why` Exception member why

Constructor Summary
`NotFound()` Default constructor
`NotFound(NotFoundReason why, NameComponent[] rest_of_name)` Constructor with fields initialization
`NotFound(java.lang.String orb_reason, NotFoundReason why, NameComponent[] rest_of_name)` Full constructor with fields initialization

Methods inherited from class org.omg.CORBA.UserException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### why

    public NotFoundReason why

  Exception member why

### rest_of_name

    public NameComponent[] rest_of_name

  Exception member rest_of_name

Constructor Detail

### NotFound

    public NotFound()

  Default constructor

### NotFound

    public NotFound(NotFoundReason why,
                    NameComponent[] rest_of_name)

  Constructor with fields initialization
  Parameters:
    `why` - why exception member
    `rest_of_name` - rest_of_name exception member

### NotFound

    public NotFound(java.lang.String orb_reason,
                    NotFoundReason why,
                    NameComponent[] rest_of_name)

  Full constructor with fields initialization
  Parameters:
    `why` - why exception member
    `rest_of_name` - rest_of_name exception member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD